<?php
define('WP_INSTALLING', true);
//Poniższe trzy definicje są wymagane, abyśmy mogli korzystać z funkcji require_wp_db() umożliwiającej wczytanie klasy bazy danej z użyciem zawartych w pliku wp-content/wp-db.php instrukcji
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');
define('WP_CONTENT_DIR', ABSPATH . 'wp-content');

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Przepraszam, potrzebuję pliku wp-config-sample.php, aby się na nim wzorować. Proszę wysłać ten plik na serwer z paczki z plikami WordPressa.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../'))
	wp_die("Przepraszam, nie mogę zapisywać do katalogu, w którym umieszczone są pliki WordPressa. Musisz zmienić uprawnienia dostępu do tego katalogu lub ręcznie utworzyć plik wp-config.php.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>Plik 'wp-config.php' już istnieje. Jeżeli musisz zmienić jakikolwiek z elementów konfiguracji zawartych w tym pliku prosimy o jego uprzednie usunięcie. Możesz spróbować <a href='install.php'>dokonać instalacji</a>.</p>");

// Check if wp-config.php exists above the root directory
if (file_exists('../../wp-config.php'))
	wp_die("<p>Plik 'wp-config.php' już istnieje w katalogu o poziom wyższym od katalogu, w którym znajdują się pliki tej instalacji WordPressa. Jezeli musisz zmienić jakikolwiek z elementów konfiguracji zawartych w tym pliku, prosimy o jego uprzednie usunięcie. Możesz spróbować <a href='install.php'>dokonać instalacji</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; Tworzenie pliku konfiguracji</title>
<link rel="stylesheet" href="<?php echo $admin_dir; ?>css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Witamy w WordPressie. Przed rozpoczęciem potrzebujemy pewnych informacji dotyczących połączenia z Twoją bazą danych. Przed przejściem dalej musisz znać:</p>
<ol>
	<li>nazwę bazy danych</li>
	<li>nazwę użytkownika bazy danych</li>
	<li>hasło do bazy danych</li>
	<li>adres bazy danych</li>
	<li>prefiks dla tabel (jeżeli chcesz posiadać więcej, niż jedną instalację WordPressa w jednej bazie danych) </li>
</ol>
<p><strong>Jeśli z jakiegoś powodu plik konfiguracji nie może zostać automatycznie utworzony - nie martw się. Jedyne, czego ta funkcja dokonuje, to wstawienie podanych informacji do wspomnianego pliku. Taki plik można łatwo utworzyć poprzez otwarcie pliku <code>wp-config-sample.php</code> w edytorze tekstu, wypełnienie go wymaganymi informacjami i zapisanie jako <code>wp-config.php</code>. </strong></p>
<p>Najprawdopodobniej dane te zostały Ci dostarczone przez Twojego dostawcę. Jeśli nie posiadasz tych informacji zdobądź je, aby móc kontynuować. Jeżeli wszystko jest przygotowane&hellip;</p>

<p class="step"><a href="setup-config.php?step=1" class="button">Zaczynajmy!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Wprowadź dane wymagane do połączenia z bazą danych poniżej. Jeżeli nie masz co do nich pewności, skontaktuj się ze swoim dostawcą. </p>
	<table class="form-table">
		<tr>
			<th scope="row"><label for="dbname">Nazwa bazy danych</label></th>
			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Nazwa bazy danych, w której działać ma WP. </td>
		</tr>
		<tr>
			<th scope="row"><label for="uname">Nazwa użytkownika</label></th>
			<td><input name="uname" id="uname" type="text" size="25" value="username" /></td>
			<td>Twoja nazwa użytkownika MySQL</td>
		</tr>
		<tr>
			<th scope="row"><label for="pwd">Hasło</label></th>
			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
			<td>... i Twoje hasło.</td>
		</tr>
		<tr>
			<th scope="row"><label for="dbhost">Adres bazy danych</label></th>
			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
			<td>Na 99% zmiana tej wartości nie będzie potrzebna.</td>
		</tr>
		<tr>
			<th scope="row"><label for="prefix">Prefiks dla tabel</label></th>
			<td><input name="prefix" id="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Jeśli chcesz posiadać wiele instalacji WordPressa w jednej bazie danych - zmień tę wartość.</td>
		</tr>
	</table>
	<p class="step"><input name="submit" type="submit" 
value="Wyślij" class="button" /></p>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("nazwatwojejbazydanych", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'nazwauzytkownika'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'tutajtwojehaslo'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);

	display_header();
?>
<p>W porządku, złotko! Udało Ci się przebrnąć przez tę część instalacji. WordPress może teraz połączyć się z Twoją bazą danych. Jezeli wszystko jest gotowe, czas na...&hellip;</p>

<p class="step"><a href="install.php" class="button">Uruchomienie instalacji</a></p>
<?php
	break;
}
?>
</body>
</html>
